{
  "name": "@kihub/kicad-sch-parser",
  "version": "1.0.0",
  "description": "Parses a KiCAD schematic file and converts it to JSON notation",
  "main": "lib/index.js",
  "directories": {
    "lib": "lib",
    "test": "test"
  },
  "scripts": {
    "test": "jest",
    "build": "pegjs --plugin pegjs-ts-plugin --format es -o src/generated/sch-parser.ts src/grammar/sch.pegjs && pegjs --plugin pegjs-ts-plugin --format es -o src/generated/lib-parser.ts src/grammar/lib.pegjs && tsc -b ."
  },
  "keywords": [
    "kicad",
    "kihub",
    "schematic",
    "eeschema"
  ],
  "author": "avishorp@kihub.io",
  "license": "MIT",
  "devDependencies": {
    "@kihub/test-files": "git+https://gitlab.com/kihub.io/test-files.git",
    "@types/chai": "^4.1.7",
    "@types/fs-extra": "^8.0.0",
    "@types/jest": "^24.0.11",
    "@types/node": "^10.14.6",
    "@types/pegjs": "^0.10.1",
    "chai": "^4.2.0",
    "chai-like": "^1.1.1",
    "fs-extra": "^8.1.0",
    "jest": "^24.7.1",
    "pegjs": "^0.11.0-master.f69239d",
    "pegjs-ts-plugin": "git+https://gitlab.com/kihub.io/pegjs-ts-plugin.git",
    "ts-jest": "^24.0.2",
    "typescript": "~4.4.3"
  }
}
